package electrosphere.renderer;

import java.util.ArrayList;
import java.util.HashMap;
import org.joml.Matrix4f;
import org.lwjgl.assimp.AIBone;

/**
 *
 * @author satellite
 */
public class Bone {
    public String boneID;
    int numWeights;
    HashMap<Integer,Float> weights;
    public Matrix4f inverseBindPoseMatrix;
    public Matrix4f deform;
    public Matrix4f transform;
    public Matrix4f final_transform;
    public AIBone raw_data;
    public Bone(){
        transform = new Matrix4f();
        deform = new Matrix4f();
        final_transform = new Matrix4f();
    }
    public Bone(AIBone raw_data){
        transform = new Matrix4f();
        deform = new Matrix4f();
        final_transform = new Matrix4f();
        boneID = raw_data.mName().dataString();
        inverseBindPoseMatrix = electrosphere.util.Utilities.convertAIMatrix(raw_data.mOffsetMatrix());
        this.raw_data = raw_data;
    }
}
